// Standard attributes

this.name           = "xsCobra3"
this.author         = "Okti,Smivs"
this.copyright      = "(C) Smivs,Okti"
this.licence        = "Creative Commons Attribution - Non-Commercial - Share Alike 3.0"
this.description    = "Ship script for xsCobra3.";
this.version        = "2.3"

this.shipSpawned = function()
{		    
	//this.ship.reportAIMessages = true;
	var systemNumber = system.ID;
	if(missionVariables.XeptatlsSword_status == "STAGE_2a0" || missionVariables.XeptatlsSword_status == "STAGE_2b")
	{
		this.destination = 39;
	}
	else if(missionVariables.XeptatlsSword_status == "STAGE_2a")
	{
		this.destination = 166;
	}
	else if(missionVariables.XeptatlsSword_status == "STAGE_2c")
	{
		this.destination = 80;
	}
	var MyRoute =  System.infoForSystem(galaxyNumber, systemNumber).routeToSystem(System.infoForSystem(galaxyNumber, this.destination),"OPTIMIZED_BY_TIME");
	this.systemToJump=MyRoute.route[1]
	this.ship.commsMessage("Please enter my wormhole to "+System.systemNameForID(MyRoute.route[1]));
}

this.FindPlayer = function()
{
	this.playerArray = system.shipsWithPrimaryRole("player");
	if(this.playerArray.length == 0) 
	{
//		this.ship.remove(); 
	}
	else
	{
		this.ship.target = this.playerArray[0];
		this.ship.reactToAIMessage("PLAYER_FOUND");
	}
}
this.exitSystem = function()
{
	if (!this.systemToJump)
	{
		return;
	}
	this.ship.fuel = 7.0;
	var bool = this.ship.exitSystem(this.systemToJump);
//	while(!bool)
//	{
//		bool = this.ship.exitSystem(this.systemToJump);	
//	}
}
this.shipExitedWitchspace = function()
{
	this.ship.setAI("route1traderAI.plist");
}
