// Standard attributes

this.name           = "XeptatlsSword-Main"
this.author         = "Okti,Smivs"
this.copyright      = "(C) Smivs,Okti"
this.licence        = "Creative Commons Attribution - Non-Commercial - Share Alike 3.0"
this.description    = "An unusual mission spread into 8 galaxies.";
this.version        = "2.3"


this.startUp = function()
{
	this.choiceString = "";	
	this.removePylonequipment = "false";
	this.neededEmptyPylons = 0;
	this.awardGalDrive = "false";
	this.rEquip = "false";
	this.timerCount = 0;
	this.misArr = null;
	this.OresratiChalenge = true;
	this.courier = false;
	this.hitCount = 0;
	this.showScreen = true;
	if(worldScripts["oresratichalange_main"])
	{
		worldScripts.oresratichalange_main.addToCallbacks({worldScript: "XeptatlsSword-Main", callBack: "checkSuspendOresratiChalenge"});
	}
}
this.missionScreenOpportunity = function ()
{

	if(this.removePylonequipment == "false")
	{
		if (player.ship.docked && player.ship.dockedStation.isMainStation) 
		{
			this.missionScreens();
		}
		else if(player.ship.docked && player.ship.dockedStation.hasRole("xsMonitorStation"))
		{
			this.missionScreens();
		}
		else if(player.ship.docked && player.ship.dockedStation.hasRole("X-S-dumbell-station"))
		{
			this.missionScreens();
		}
		else if(player.ship.docked && player.ship.dockedStation.hasRole("damaged-monitor-station"))
		{
			this.missionScreens();
		}
		else if(player.ship.docked && player.ship.dockedStation.hasRole("xsheadquarters"))
		{
			this.missionScreens();
		}
	}
	else
	{
		if(player.ship.missileCapacity - player.ship.missiles.length >= 2)	
		{
			if(missionVariables.XeptatlsSword_status == "STAGE_135")
			{
				
				mission.setInstructionsKey("XS_MI_STAGE_140")
				missionVariables.XeptatlsSword_status = "STAGE_140";
				player.ship.awardEquipment("EQ_WARHEAD_MINE");
				player.ship.awardEquipment("EQ_X_SWORD_A_MISSILE");
				mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Leesti_ResearchStation_1"});
				this.removePylonequipment = "false";			
			}
		}
		else
		{
		}
	}
}
this.missionScreens = function()
{
	if (!missionVariables.XeptatlsSword_status || missionVariables.XeptatlsSword_status == "COMPLETED" || missionVariables.XeptatlsSword_status == "FAILED1")
	{
		return;
	}
	// initial offer 
	if (missionVariables.XeptatlsSword_status == "OFFER" && galaxyNumber == 4 && missionVariables.XeptatlsSword_jumpCount >= 3)
	{
		this.choiceString = "START";
		mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_start", choicesKey: "XeptatlsSword_start_choices"}, this.choices);
	}
	// initial offer delayed
	else if (missionVariables.XeptatlsSword_status == "NOT_NOW" && galaxyNumber == 4 && missionVariables.XeptatlsSword_jumpCount >= 3)
	{
		this.choiceString = "START";
		mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_start", choicesKey: "XeptatlsSword_start_choices"}, this.choices);
	}
	// Inbe
	else if (missionVariables.XeptatlsSword_status == "STAGE_0" && galaxyNumber == 4 && system.ID == 129)
	{
		missionVariables.XeptatlsSword_status = "STAGE_1";
		mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Inbe_a"});
		mission.unmarkSystem(129);
		mission.setInstructionsKey("XS_MI_STAGE_1");
		
	}
	// Estebiin
	else if (missionVariables.XeptatlsSword_status == "STAGE_1" && galaxyNumber == 5 && system.ID == 55  && player.ship.dockedStation.hasRole("xsheadquarters"))
	{
		this.choiceString = "Estebiin";
		player.credits += 25000;
		missionVariables.XeptatlsSword_jumpCount = 0;
		mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Estebiin_1", choicesKey: "XeptatlsSword_Estebiin_1_choices"}, this.choices);
	}
	// Xeququti
	else if (missionVariables.XeptatlsSword_status == "STAGE_2" && galaxyNumber == 0 && system.ID == 205 && player.ship.dockedStation.hasRole("xsMonitorStation"))
	{
		// Those lines are commented to exclude Long way mission Okti 24/05/2011
		//if (missionVariables.XeptatlsSword_jumpCount <= 8)
		//{
			missionVariables.XeptatlsSword_jumpCount = null;
			mission.setInstructionsKey("XS_MI_STAGE_2a");	
			missionVariables.XeptatlsSword_status = "STAGE_2a";
			mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Xeququti"});
		//}
		//else
		//{
		//	missionVariables.XeptatlsSword_status = "FAILED1";	
		//	missionVariables.XeptatlsSword_jumpCount = null;
		//	mission.runScreen({title: "Xeptatl's Sword", messageText: "Failed"});	
		//}
	}
	// Anve
	else if (missionVariables.XeptatlsSword_status == "STAGE_2a" && galaxyNumber == 1 && system.ID == 166)
	{
		missionVariables.XeptatlsSword_status = "STAGE_2a0";
		mission.unmarkSystem(166);
		mission.markSystem(39);
		mission.setInstructionsKey("XS_MI_STAGE_2b");
		mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Anve"});
	}
	// Tezaeded
	else if ((missionVariables.XeptatlsSword_status == "STAGE_2a" || missionVariables.XeptatlsSword_status == "STAGE_2b") && galaxyNumber == 1 && system.ID == 39)
	{
		mission.unmarkSystem(39);
		mission.markSystem(105);
		missionVariables.XeptatlsSword_status = "STAGE_2c";
		mission.setInstructionsKey("XS_MI_STAGE_2c");
		mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Tezaeded"});
	}
	// Ditere
	else if (missionVariables.XeptatlsSword_status == "STAGE_2d" && galaxyNumber == 2 && system.ID == 133)
	{
		mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Ditere_1", choicesKey: "XeptatlsSword_Ditere_1_choices"}, this.choices);
	}
   // Dioris
   else if (missionVariables.XeptatlsSword_status == "STAGE_3ab" && galaxyNumber == 4 && system.ID == 9)
   {
      missionVariables.XeptatlsSword_status = "STAGE_3a";
      mission.unmarkSystem(9);
      mission.setInstructionsKey("XS_MI_STAGE_3a")
      mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Dioris"});
   }
	// Qutius
	else if (missionVariables.XeptatlsSword_status == "STAGE_3b" && galaxyNumber == 5 && system.ID == 202)
	{
		missionVariables.XeptatlsSword_status = "STAGE_4";
		mission.markSystem(41);
		mission.setInstructionsKey("XS_MI_STAGE_4")
		mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Qutius_1"});
                this.$removeHighTechStations();
	}
	// Beanxeat
	else if (missionVariables.XeptatlsSword_status == "STAGE_4" && galaxyNumber == 5 && system.ID == 41)
	{
		mission.setInstructionsKey("XS_MI_STAGE_50")
		missionVariables.XeptatlsSword_status = "STAGE_50";
		mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Beanxeat_1"});
	}
	// Inlabe
	else if (missionVariables.XeptatlsSword_status == "STAGE_50" && galaxyNumber == 6 && system.ID == 123)
	{
		mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Inlabe_1",choicesKey: "XeptatlsSword_Inlabe_1_choices"}, this.choices);
		
	}
	// Tiared
	else if (missionVariables.XeptatlsSword_status == "STAGE_60" && galaxyNumber == 6 && system.ID == 194)
	{
		mission.setInstructionsKey("XS_MI_STAGE_70")
		missionVariables.XeptatlsSword_status = "STAGE_70";
		mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Tiared_1"});
		mission.unmarkSystem(194);
	}
	// Interstellar Space
	else if (missionVariables.XeptatlsSword_status == "STAGE_71" && galaxyNumber == 6 && system.isInterstellarSpace && player.ship.dockedStation.hasRole("X-S-dumbell-station"))
	{
		mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_ResearchStation_1", choicesKey: "XeptatlsSword_ResearchStation_1_choices"}, this.choices);
		
	}
	// Articeso
	else if (missionVariables.XeptatlsSword_status == "STAGE_72" && galaxyNumber == 6 && system.ID == 229)
	{
		mission.setInstructionsKey("XS_MI_STAGE_80")
		missionVariables.XeptatlsSword_status = "STAGE_80";
		mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Articeso"});
		mission.unmarkSystem(229);
		mission.markSystem(228);

	}
	// Onteised
	else if (missionVariables.XeptatlsSword_status == "STAGE_90" && galaxyNumber == 6 && system.ID == 15)
	{
		mission.setInstructionsKey("XS_MI_STAGE_100")
		missionVariables.XeptatlsSword_status = "STAGE_100";
		mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Onteised"});
		mission.unmarkSystem(15);
	}
	// Oresrati
	else if (missionVariables.XeptatlsSword_status == "STAGE_100" && galaxyNumber == 7 && system.ID == 162)
	{
		missionVariables.XeptatlsSword_status = "STAGE_110";
		mission.setInstructionsKey("XS_MI_STAGE_110")
		mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Oresrati"});
	}
	// Oresrati Monitoring Station
	else if (missionVariables.XeptatlsSword_status == "STAGE_110" && galaxyNumber == 7 && system.ID == 162 && player.ship.dockedStation.hasRole("damaged-monitor-station"))
	{
		missionVariables.XeptatlsSword_status = "STAGE_120"
		mission.setInstructionsKey("XS_MI_STAGE_120")
		mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Oresrati_ResearchStation"});
	}
	// Leesti monitor station
	else if (missionVariables.XeptatlsSword_status == "STAGE_130" && galaxyNumber == 0 && system.ID == 55 && player.ship.dockedStation.hasRole("xsMonitorStation"))
	{
		mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Leesti_ResearchStation", model: "EQ_X_SWORD_MISSILE", choicesKey: "XeptatlsSword_Leesti_ResearchStation_choices"}, this.choices);
		
	}
	// Leesti main station
	else if (missionVariables.XeptatlsSword_status == "STAGE_140" && galaxyNumber == 0 && system.ID == 55 && player.ship.dockedStation.isMainStation)
	{
		missionVariables.XeptatlsSword_status = "STAGE_150"
		mission.unmarkSystem(55);
		mission.markSystem(7);
		mission.setInstructionsKey("XS_MI_STAGE_150")
		mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Leesti"});	
	}
	// Lave
	else if (missionVariables.XeptatlsSword_status == "STAGE_180" && galaxyNumber == 0 && system.ID == 7 && player.ship.dockedStation.isMainStation)
	{
		missionVariables.XeptatlsSword_status = "STAGE_200"
		mission.unmarkSystem(7);
		mission.setInstructions(null)
		mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Lave_a1", choicesKey: "XeptatlsSword_Lave_a1_choices"}, this.choices);
	}
	// Lave Unsucsesfull
	else if (missionVariables.XeptatlsSword_status == "STAGE_160" && galaxyNumber == 0 && system.ID == 7 && player.ship.dockedStation.isMainStation)
	{
		missionVariables.XeptatlsSword_status = "STAGE_170"
		mission.unmarkSystem(7);
		mission.setInstructions(null)
		mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Lave_b1", choicesKey: "XeptatlsSword_Lave_b1_choices"}, this.choices);
	}
	// Not Lave Unsucesfull
	else if (missionVariables.XeptatlsSword_status == "STAGE_160" && galaxyNumber == 0 && system.ID !== 7 && player.ship.dockedStation.isMainStation)
	{
		missionVariables.XeptatlsSword_status = "STAGE_170"
		mission.unmarkSystem(7);
		mission.setInstructions(null)
		mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Lave_c1", choicesKey: "XeptatlsSword_Lave_b1_choices"}, this.choices);
	}
	// Tionisla
	else if (missionVariables.XeptatlsSword_status == "STAGE_200" && galaxyNumber == 0 && system.ID == 124 && player.ship.dockedStation.isMainStation)
	{
		mission.setInstructionsKey("XS_MI_STAGE_205")
		missionVariables.XeptatlsSword_status = "STAGE_205"
		mission.unmarkSystem(124);
		mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Tionisla", choicesKey: "XeptatlsSword_Tionisla_choices"}, this.choices)
	}
	// Vearin
	else if (missionVariables.XeptatlsSword_status == "STAGE_205" && galaxyNumber == 1 && system.ID == 250 && player.ship.dockedStation.isMainStation)
	{
		mission.setInstructionsKey("XS_MI_STAGE_210")
		missionVariables.XeptatlsSword_status = "STAGE_210"
		mission.unmarkSystem(250);
		mission.markSystem(229);
		mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Vearin"});
	}
	// Lasoce
	else if (missionVariables.XeptatlsSword_status == "STAGE_210" && galaxyNumber == 1 && system.ID == 229 && player.ship.dockedStation.isMainStation)
	{
		mission.setInstructionsKey("XS_MI_STAGE_215")
		missionVariables.XeptatlsSword_status = "STAGE_215"
		mission.unmarkSystem(229);
		mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Lasoce"});
	}
	// Soiserla
	else if (missionVariables.XeptatlsSword_status == "STAGE_215" && galaxyNumber == 2 && system.ID == 63 && player.ship.dockedStation.isMainStation)
	{
		mission.setInstructionsKey("XS_MI_STAGE_220")
		missionVariables.XeptatlsSword_status = "STAGE_220"
		mission.unmarkSystem(63);
		mission.markSystem(36);
		mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Soiserla"});
	}
	// Birera
	else if (missionVariables.XeptatlsSword_status == "STAGE_220" && galaxyNumber == 2 && system.ID == 36 && player.ship.dockedStation.isMainStation)
	{
		mission.setInstructionsKey("XS_MI_STAGE_225")
		missionVariables.XeptatlsSword_status = "STAGE_225"
		mission.unmarkSystem(36);
		mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Birera"});
	}
	// Aaanqu
	else if (missionVariables.XeptatlsSword_status == "STAGE_225" && galaxyNumber == 3 && system.ID == 236 && player.ship.dockedStation.isMainStation)
	{
		mission.setInstructionsKey("XS_MI_STAGE_230")
		missionVariables.XeptatlsSword_status = "STAGE_230"
		mission.unmarkSystem(236);
		mission.markSystem(178);
		mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Aaanqu"});
	}
	// Soralaat
	else if (missionVariables.XeptatlsSword_status == "STAGE_230" && galaxyNumber == 3 && system.ID == 178 && player.ship.dockedStation.isMainStation)
	{
		mission.setInstructionsKey("XS_MI_STAGE_235")
		missionVariables.XeptatlsSword_status = "STAGE_235"
		mission.unmarkSystem(178);
		mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Soralaat"});
	}
	// Geerin
	else if (missionVariables.XeptatlsSword_status == "STAGE_235" && galaxyNumber == 4 && system.ID == 83 && player.ship.dockedStation.isMainStation)
	{
		mission.setInstructionsKey("XS_MI_STAGE_240")
		missionVariables.XeptatlsSword_status = "STAGE_240"
		mission.unmarkSystem(83);
		mission.markSystem(15);
		mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Geerin"});
	}
	// Aroratla
	else if (missionVariables.XeptatlsSword_status == "STAGE_245" && galaxyNumber == 4 && system.ID == 217 && player.ship.dockedStation.isMainStation)
	{
		mission.setInstructionsKey("XS_MI_STAGE_250")
		missionVariables.XeptatlsSword_status = "STAGE_250"
		mission.unmarkSystem(217);
		mission.markSystem(196);
		mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Aroratla"});
	}
	// Xeaten
	else if (missionVariables.XeptatlsSword_status == "STAGE_255" && galaxyNumber == 4 && system.ID == 229 && player.ship.dockedStation.isMainStation)
	{
		mission.setInstructionsKey("XS_MI_STAGE_260")
		missionVariables.XeptatlsSword_status = "STAGE_260"
		mission.unmarkSystem(229);
		mission.markSystem(123);
		mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Xeaten"});
	}
	// Quinmabe
	else if (missionVariables.XeptatlsSword_status == "STAGE_260" && galaxyNumber == 4 && system.ID == 123 && player.ship.dockedStation.isMainStation)
	{
		mission.setInstructionsKey("XS_MI_STAGE_265")
		missionVariables.XeptatlsSword_status = "STAGE_265"
		mission.unmarkSystem(123);
		mission.markSystem(223);
		mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Quinmabe"});
	}
	// Ceenbion
	else if (missionVariables.XeptatlsSword_status == "STAGE_265" && galaxyNumber == 4 && system.ID == 223 && player.ship.dockedStation.isMainStation)
	{
		mission.setInstructionsKey("XS_MI_STAGE_270")
		missionVariables.XeptatlsSword_status = "STAGE_270"
		mission.unmarkSystem(223);
		mission.markSystem(170);
		mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Ceenbion"});
	}
	// Tecexe
	else if (missionVariables.XeptatlsSword_status == "STAGE_270" && galaxyNumber == 4 && system.ID == 170 && player.ship.dockedStation.isMainStation)
	{
		mission.setInstructionsKey("XS_MI_STAGE_275")
		missionVariables.XeptatlsSword_status = "STAGE_275"
		mission.unmarkSystem(170);
		mission.markSystem(194);
		mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Tecexe"});
	}
	// Zalexe
	else if (missionVariables.XeptatlsSword_status == "STAGE_275" && galaxyNumber == 4 && system.ID == 194 && player.ship.dockedStation.isMainStation)
	{
		mission.setInstructionsKey("XS_MI_STAGE_280")
		missionVariables.XeptatlsSword_status = "STAGE_280"
		mission.unmarkSystem(194);
		mission.markSystem(77);
		mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Zalexe"});
	}
	// Biradi
	else if (missionVariables.XeptatlsSword_status == "STAGE_280" && galaxyNumber == 4 && system.ID == 77 && player.ship.dockedStation.isMainStation)
	{
		mission.setInstructionsKey("XS_MI_STAGE_285")
		missionVariables.XeptatlsSword_status = "STAGE_285"
		mission.unmarkSystem(77);
		mission.markSystem(179);
		mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Biradi"});
	}
	// Atmaa
	else if (missionVariables.XeptatlsSword_status == "STAGE_285" && galaxyNumber == 4 && system.ID == 179 && player.ship.dockedStation.isMainStation)
	{
		mission.setInstructionsKey("XS_MI_STAGE_290")
		missionVariables.XeptatlsSword_status = "STAGE_290"
		mission.unmarkSystem(179);
		mission.markSystem(197);
		mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Atmaa"});
	}
	// Dioris
	else if (missionVariables.XeptatlsSword_status == "STAGE_295" && galaxyNumber == 4 && system.ID == 9 && player.ship.dockedStation.isMainStation)
	{
		mission.setInstructionsKey("XS_MI_STAGE_300")
		missionVariables.XeptatlsSword_status = "STAGE_300"
		mission.unmarkSystem(9);
		mission.markSystem(129);
		mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Dioris_2", choicesKey: "XeptatlsSword_Dioris_2_choices"}, this.choices)
	}
	// Estebiin
	else if (missionVariables.XeptatlsSword_status == "STAGE_300" && galaxyNumber == 5 && system.ID == 55 && player.ship.dockedStation.hasRole("xsheadquarters"))
	{
		mission.setInstructionsKey("XS_MI_STAGE_310")
		missionVariables.XeptatlsSword_status = "STAGE_310"
		missionVariables.CrippledAnni = "FALSE";
		player.ship.awardEquipment("EQ_XS_SWORD_MISSILE");
		mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Estebiin_4", choicesKey: "XeptatlsSword_Estebiin_4_choices"}, this.choices);
	}
	// Estebiin Final A
	else if (missionVariables.XeptatlsSword_status == "STAGE_340" && galaxyNumber == 5 && system.ID == 55 && player.ship.dockedStation.hasRole("xsheadquarters"))
	{
		mission.setInstructionsKey(null)
		missionVariables.XeptatlsSword_status = "STAGE_360"
		mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Estebiin_FinalA_1", choicesKey: "XeptatlsSword_Estebiin_FinalA_1_choices"}, this.choices);
	}
	// Estebiin Final B
	else if (missionVariables.XeptatlsSword_status == "STAGE_350" && galaxyNumber == 5 && system.ID == 55 && player.ship.dockedStation.hasRole("xsheadquarters"))
	{
		mission.setInstructionsKey(null)
		missionVariables.XeptatlsSword_status = "STAGE_360"
		mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Estebiin_FinalB_1", choicesKey: "XeptatlsSword_Estebiin_FinalB_1_choices"}, this.choices);
	}
}
this.choices = function(choice)
{
	switch(choice)
		{
		case "1_Yes":
		{
			missionVariables.XeptatlsSword_jumpCount = null;
			missionVariables.XeptatlsSword_status = "STAGE_0";
			mission.setInstructionsKey("XS_MI_STAGE_0");
			mission.markSystem(129);
			mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_start_2"});

			break;
		}
		case "2_No":
		{
			missionVariables.XeptatlsSword_jumpCount = 0;
			missionVariables.XeptatlsSword_status = "NOT_NOW";
			break;
		}
		case "1_Cont":
		{
			player.credits += 10000;
			mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Estebiin_2", choicesKey: "XeptatlsSword_Estebiin_2_choices"},this.choices);
			break;
		}
		case "1a_Cont":
		{
			missionVariables.XeptatlsSword_status = "STAGE_2";
			player.credits += 25000;
			mission.setInstructionsKey("XS_MI_STAGE_2")
			mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Estebiin_3"});
			break;
		}
		case "1b_Cont":
		{
			mission.setInstructionsKey("XS_MI_STAGE_2a");	
			missionVariables.XeptatlsSword_status = "STAGE_2a";
			break;
		}
		case "2_Cont":
		{
			mission.setInstructionsKey("XS_MI_STAGE_3")
			missionVariables.XeptatlsSword_status = "STAGE_3";
			missionVariables.XeptatlsSword_jumpCount = 0;
			mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Ditere_2"});
			break;
		}	
		case "3_Cont":
		{
			mission.setInstructionsKey("XS_MI_STAGE_60")
			missionVariables.XeptatlsSword_status = "STAGE_60";			
			mission.markSystem(194);
			mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Inlabe_2"});
			break;
		}
		case "4a_Cont":
		{
			mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_ResearchStation_2", choicesKey: "XeptatlsSword_ResearchStation_2_choices"}, this.choices);
			break;
		}
		case "4b_Cont":
		{
			mission.markSystem(229);
			mission.setInstructionsKey("XS_MI_STAGE_72")
			missionVariables.XeptatlsSword_status = "STAGE_72";
			player.ship.fuel = 7.0;
			this.warningSound = new SoundSource; 
			this.warningSound.sound = "emergency030.ogg";
			this.warningSound.loop = true;
			this.warningSound.play();
			mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_ResearchStation_3"});
			break;
		}
		case "5_Cont":
		{
			if(player.ship.missileCapacity - player.ship.missiles.length >= 2)
			{
				mission.setInstructionsKey("XS_MI_STAGE_140")
				missionVariables.XeptatlsSword_status = "STAGE_140";
				player.ship.awardEquipment("EQ_WARHEAD_MINE");
				player.ship.awardEquipment("EQ_X_SWORD_A_MISSILE");
				mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Leesti_ResearchStation_1"});
				break;
			}
			else
			{
				missionVariables.XeptatlsSword_status = "STAGE_135";
				this.removePylonequipment = "true";
				this.neededEmptyPylons = 2;
				break;
			}
		}
		case "6_Cont":
		{
			mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Lave_a2", choicesKey: "XeptatlsSword_Lave_a2_choices"}, this.choices);
			break;
		}
		case "6a_Cont":
		{
			mission.setInstructionsKey("XS_MI_STAGE_200")
			player.credits += 100000;
			mission.markSystem(124);

			mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Lave_a3"});
			break;
		}
		case "7a_Cont":
		{
			mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Estebiin_5", model: "EQ_XS_SWORD_MISSILE", choicesKey: "XeptatlsSword_Estebiin_5_choices"}, this.choices);
			break;
		}
		case "7b_Cont":
		{
			mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Estebiin_6", choicesKey: "XeptatlsSword_Estebiin_6_choices",overlay: { name: "spikes.png", height: 512 }}, this.choices);
			break;
		}
		case "7c_Cont":
		{
			mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Estebiin_7",overlay: { name: "target.png", height: 512 }});
			break;
		}
		case "8a_Cont":
		{
			mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Estebiin_FinalA_2"});
			break;
		}
		case "8b_Cont":
		{
			mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Estebiin_FinalB_2"});
			break;
		}
		case "6b_Cont":
		{
			player.ship.dockedStation.explode();
			break;
		}
		case "16_Cont":
		{
			mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Tionisla_2"});
			break;
		}
		case "17_Cont":
		{
			mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Dioris_3"});
			break;
		}
	}
}
this.displayPreviousScreens = function()
{
	this.xsShowPreviousScreens = false;
	this.longScreen = false;
	this.longScreen2 = false;
	if(missionVariables.XeptatlsSword_status == "STAGE_0")
	{
		mission.runScreen({title: "Xeptatl's Sword", messageKey: "XS_All_Mission_Screens", choicesKey: "XS_All_MissionScreens_1"}, this.previousScreenChoices);
		
	}
	else if(missionVariables.XeptatlsSword_status == "STAGE_1")
	{
		mission.runScreen({title: "Xeptatl's Sword", messageKey: "XS_All_Mission_Screens", choicesKey: "XS_All_MissionScreens_2"}, this.previousScreenChoices);
		
	}
	else if(missionVariables.XeptatlsSword_status == "STAGE_2")
	{
		mission.runScreen({title: "Xeptatl's Sword", messageKey: "XS_All_Mission_Screens", choicesKey: "XS_All_MissionScreens_3"}, this.previousScreenChoices);
		
	}
	else if(missionVariables.XeptatlsSword_status == "STAGE_2a")
	{
		mission.runScreen({title: "Xeptatl's Sword", messageKey: "XS_All_Mission_Screens", choicesKey: "XS_All_MissionScreens_4"}, this.previousScreenChoices);
		
	}
	else if(missionVariables.XeptatlsSword_status == "STAGE_2a0")
	{
		mission.runScreen({title: "Xeptatl's Sword", messageKey: "XS_All_Mission_Screens", choicesKey: "XS_All_MissionScreens_5"}, this.previousScreenChoices);
		
	}
	else if(missionVariables.XeptatlsSword_status == "STAGE_2c" || missionVariables.XeptatlsSword_status == "STAGE_2d")
	{
		mission.runScreen({title: "Xeptatl's Sword", messageKey: "XS_All_Mission_Screens", choicesKey: "XS_All_MissionScreens_6"}, this.previousScreenChoices);
		
	}
	else if(missionVariables.XeptatlsSword_status == "STAGE_3")
	{
		mission.runScreen({title: "Xeptatl's Sword", messageKey: "XS_All_Mission_Screens", choicesKey: "XS_All_MissionScreens_7"}, this.previousScreenChoices);
		
	}
	else if(missionVariables.XeptatlsSword_status == "STAGE_3a" || missionVariables.XeptatlsSword_status == "STAGE_3b")
	{
		mission.runScreen({title: "Xeptatl's Sword", messageKey: "XS_All_Mission_Screens", choicesKey: "XS_All_MissionScreens_8"}, this.previousScreenChoices);
		
	}
	else if(missionVariables.XeptatlsSword_status == "STAGE_4")
	{
		mission.runScreen({title: "Xeptatl's Sword", messageKey: "XS_All_Mission_Screens", choicesKey: "XS_All_MissionScreens_9"}, this.previousScreenChoices);
		
	}
	else if(missionVariables.XeptatlsSword_status == "STAGE_50")
	{
		mission.runScreen({title: "Xeptatl's Sword", messageKey: "XS_All_Mission_Screens", choicesKey: "XS_All_MissionScreens_10"}, this.previousScreenChoices);
		
	}
	else if(missionVariables.XeptatlsSword_status == "STAGE_60")
	{
		mission.runScreen({title: "Xeptatl's Sword", messageKey: "XS_All_Mission_Screens", choicesKey: "XS_All_MissionScreens_11"}, this.previousScreenChoices);
		
	}
	else if(missionVariables.XeptatlsSword_status == "STAGE_70")
	{
		mission.runScreen({title: "Xeptatl's Sword", messageKey: "XS_All_Mission_Screens", choicesKey: "XS_All_MissionScreens_12"}, this.previousScreenChoices);
		
	}
	else if(missionVariables.XeptatlsSword_status == "STAGE_72")
	{
		mission.runScreen({title: "Xeptatl's Sword", messageKey: "XS_All_Mission_Screens", choicesKey: "XS_All_MissionScreens_13"}, this.previousScreenChoices);
		
	}
	else if(missionVariables.XeptatlsSword_status == "STAGE_80" || missionVariables.XeptatlsSword_status == "STAGE_90")
	{
		mission.runScreen({title: "Xeptatl's Sword", messageKey: "XS_All_Mission_Screens", choicesKey: "XS_All_MissionScreens_14"}, this.previousScreenChoices);
		
	}
	else if(missionVariables.XeptatlsSword_status == "STAGE_100")
	{
		mission.runScreen({title: "Xeptatl's Sword", messageKey: "XS_All_Mission_Screens", choicesKey: "XS_All_MissionScreens_15"}, this.previousScreenChoices);
		
	}
	else if(missionVariables.XeptatlsSword_status == "STAGE_110")
	{
		mission.runScreen({title: "Xeptatl's Sword", messageKey: "XS_All_Mission_Screens", choicesKey: "XS_All_MissionScreens_16"}, this.previousScreenChoices);
		
	}
	else if(missionVariables.XeptatlsSword_status == "STAGE_120" || missionVariables.XeptatlsSword_status == "STAGE_130")
	{
		mission.runScreen({title: "Xeptatl's Sword", messageKey: "XS_All_Mission_Screens", choicesKey: "XS_All_MissionScreens_17"}, this.previousScreenChoices);
		
	}
	else if(missionVariables.XeptatlsSword_status == "STAGE_140")
	{
		mission.runScreen({title: "Xeptatl's Sword", messageKey: "XS_All_Mission_Screens", choicesKey: "XS_All_MissionScreens_18"}, this.previousScreenChoices);
		
	}
	else if(missionVariables.XeptatlsSword_status == "STAGE_150")
	{
		mission.runScreen({title: "Xeptatl's Sword", messageKey: "XS_All_Mission_Screens", choicesKey: "XS_All_MissionScreens_19"}, this.previousScreenChoices);
		
	}
	else if(missionVariables.XeptatlsSword_status == "STAGE_200")
	{
		mission.runScreen({title: "Xeptatl's Sword", messageKey: "XS_All_Mission_Screens", choicesKey: "XS_All_MissionScreens_20"}, this.previousScreenChoices);
	}
	else if(missionVariables.XeptatlsSword_status == "STAGE_205")
	{
		mission.runScreen({title: "Xeptatl's Sword", messageKey: "XS_All_Mission_Screens", choicesKey: "XS_All_MissionScreens_21"}, this.previousScreenChoices);
	}
	else if(missionVariables.XeptatlsSword_status == "STAGE_210")
	{
		mission.runScreen({title: "Xeptatl's Sword", messageKey: "XS_All_Mission_Screens", choicesKey: "XS_All_MissionScreens_22"}, this.previousScreenChoices);
	}
	else if(missionVariables.XeptatlsSword_status == "STAGE_215")
	{
		mission.runScreen({title: "Xeptatl's Sword", messageKey: "XS_All_Mission_Screens", choicesKey: "XS_All_MissionScreens_23"}, this.previousScreenChoices);
	}
	else if(missionVariables.XeptatlsSword_status == "STAGE_220")
	{
		mission.runScreen({title: "Xeptatl's Sword", messageKey: "XS_All_Mission_Screens", choicesKey: "XS_All_MissionScreens_24"}, this.previousScreenChoices);
	}
	else if(missionVariables.XeptatlsSword_status == "STAGE_225")
	{
		mission.runScreen({title: "Xeptatl's Sword", messageKey: "XS_All_Mission_Screens", choicesKey: "XS_All_MissionScreens_25"}, this.previousScreenChoices);
	}
	else if(missionVariables.XeptatlsSword_status == "STAGE_230")
	{
		mission.runScreen({title: "Xeptatl's Sword", messageKey: "XS_All_Mission_Screens", choicesKey: "XS_All_MissionScreens_26"}, this.previousScreenChoices);
	}
	else if(missionVariables.XeptatlsSword_status == "STAGE_235")
	{
		mission.runScreen({title: "Xeptatl's Sword", messageKey: "XS_All_Mission_Screens", choicesKey: "XS_All_MissionScreens_27"}, this.previousScreenChoices);
	}
	else if(missionVariables.XeptatlsSword_status == "STAGE_240" || missionVariables.XeptatlsSword_status == "STAGE_245")
	{
		mission.runScreen({title: "Xeptatl's Sword", messageKey: "XS_All_Mission_Screens", choicesKey: "XS_All_MissionScreens_28"}, this.previousScreenChoices);
	}
	else if(missionVariables.XeptatlsSword_status == "STAGE_250" || missionVariables.XeptatlsSword_status == "STAGE_255")
	{
		mission.runScreen({title: "Xeptatl's Sword", messageKey: "XS_All_Mission_Screens", choicesKey: "XS_All_MissionScreens_29"}, this.previousScreenChoices);
	}
	else if(missionVariables.XeptatlsSword_status == "STAGE_260")
	{
		mission.runScreen({title: "Xeptatl's Sword", messageKey: "XS_All_Mission_Screens", choicesKey: "XS_All_MissionScreens_30"}, this.previousScreenChoices);
	}
	
	
	else if(missionVariables.XeptatlsSword_status == "STAGE_265")
	{
		mission.runScreen({title: "Xeptatl's Sword", messageKey: "XS_All_Mission_Screens", choicesKey: "XS_All_MissionScreens_31"}, this.previousScreenChoices);
	}
	
	
	else if(missionVariables.XeptatlsSword_status == "STAGE_270")
	{
		mission.runScreen({title: "Xeptatl's Sword", messageKey: "XS_All_Mission_Screens", choicesKey: "XS_All_MissionScreens_32"}, this.previousScreenChoices);
	}
	
	else if(missionVariables.XeptatlsSword_status == "STAGE_275")
	{
		mission.runScreen({title: "Xeptatl's Sword", messageKey: "XS_All_Mission_Screens", choicesKey: "XS_All_MissionScreens_33"}, this.previousScreenChoices);
	}
	
	else if(missionVariables.XeptatlsSword_status == "STAGE_280")
	{
		mission.runScreen({title: "Xeptatl's Sword", messageKey: "XS_All_Mission_Screens", choicesKey: "XS_All_MissionScreens_34"}, this.previousScreenChoices);
	}
	
	else if(missionVariables.XeptatlsSword_status == "STAGE_285")
	{




		mission.runScreen({title: "Xeptatl's Sword", messageKey: "XS_All_Mission_Screens", choicesKey: "XS_All_MissionScreens_35"}, this.previousScreenChoices);
	}
	
	else if(missionVariables.XeptatlsSword_status == "STAGE_290" || missionVariables.XeptatlsSword_status == "STAGE_295")
	{
		mission.runScreen({title: "Xeptatl's Sword", messageKey: "XS_All_Mission_Screens", choicesKey: "XS_All_MissionScreens_36"}, this.previousScreenChoices);
	}
	
	else if(missionVariables.XeptatlsSword_status == "STAGE_300")
	{
		mission.runScreen({title: "Xeptatl's Sword", messageKey: "XS_All_Mission_Screens", choicesKey: "XS_All_MissionScreens_37"}, this.previousScreenChoices);
	}
	
}
this.previousScreenChoices = function(choice)
{
	switch(choice)
	{
		case "980_MS":
		{
			mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_start_2", choicesKey: "XS_All_Mission_Screens_prompt"}, this.previousScreenChoices);
			break;
		}
		case "970_MS":
		{
			mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Inbe_a", choicesKey: "XS_All_Mission_Screens_prompt"}, this.previousScreenChoices);
			break;
		}
		case "960_MS":
		{
			mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Estebiin_1", choicesKey: "XeptatlsSword_Estebiin_1_choices"}, this.previousScreenChoices);
			break;
		}
		case "950_MS":
		{
			mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Xeququti", choicesKey: "XS_All_Mission_Screens_prompt"}, this.previousScreenChoices);
			break;
		}
		case "940_MS":
		{
			mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Anve", choicesKey: "XS_All_Mission_Screens_prompt"}, this.previousScreenChoices);
			break;
		}
		case "930_MS":
		{
			mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Tezaeded", choicesKey: "XS_All_Mission_Screens_prompt"}, this.previousScreenChoices);
			break;
		}
		case "920_MS":
		{
			mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Ditere_1", choicesKey: "XeptatlsSword_Ditere_1_choices"}, this.previousScreenChoices);
			break;
		}
		case "910_MS":
		{
			mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Dioris", choicesKey: "XS_All_Mission_Screens_prompt"}, this.previousScreenChoices);
			break;
		}
		case "900_MS":
		{
			mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Qutius_1", choicesKey: "XS_All_Mission_Screens_prompt"}, this.previousScreenChoices);
			break;
		}
		case "890_MS":
		{
			mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Beanxeat_1", choicesKey: "XS_All_Mission_Screens_prompt"}, this.previousScreenChoices);
			break;
		}
		case "880_MS":
		{
			mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Inlabe_1", choicesKey: "XeptatlsSword_Inlabe_1_choices"}, this.previousScreenChoices);
			break;
		}
		case "870_MS":
		{
			mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Tiared_1", choicesKey: "XS_All_Mission_Screens_prompt"}, this.previousScreenChoices);
			break;
		}
		case "860_MS":
		{
			mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_ResearchStation_1", choicesKey: "XeptatlsSword_ResearchStation_1_choices"}, this.previousScreenChoices);
			break;
		}
		case "850_MS":
		{
			mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Articeso", choicesKey: "XS_All_Mission_Screens_prompt"}, this.previousScreenChoices);
			break;
		}
		case "840_MS":
		{
			mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Onteised", choicesKey: "XS_All_Mission_Screens_prompt"}, this.previousScreenChoices);
			break;
		}
		case "830_MS":
		{
			mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Oresrati", choicesKey: "XS_All_Mission_Screens_prompt"}, this.previousScreenChoices);
			break;
		}
		case "820_MS":
		{
			mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Oresrati_ResearchStation", choicesKey: "XS_All_Mission_Screens_prompt"}, this.previousScreenChoices);
			break;
		}
		case "810_MS":
		{
			mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Leesti_ResearchStation", choicesKey: "XeptatlsSword_Leesti_ResearchStation_choices"}, this.previousScreenChoices);
			break;
		}
		case "800_MS":
		{
			mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Leesti", choicesKey: "XS_All_Mission_Screens_prompt"}, this.previousScreenChoices);
			break;
		}
		case "790_MS":
		{
			mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Lave_a1", choicesKey: "XeptatlsSword_Lave_a1_choices"}, this.previousScreenChoices);
			break;
		}
		case "780_MS":
		{
			mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Tionisla", choicesKey: "XeptatlsSword_Tionisla_choices"}, this.previousScreenChoices);
			break;
		}
		case "770_MS":
		{
			mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Vearin", choicesKey: "XS_All_Mission_Screens_prompt"}, this.previousScreenChoices);
			break;
		}
		case "760_MS":
		{
			mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Lasoce", choicesKey: "XS_All_Mission_Screens_prompt"}, this.previousScreenChoices);
			break;
		}
		case "750_MS":
		{
			mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Soiserla", choicesKey: "XS_All_Mission_Screens_prompt"}, this.previousScreenChoices);
			break;
		}
		case "740_MS":
		{
			mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Birera", choicesKey: "XS_All_Mission_Screens_prompt"}, this.previousScreenChoices);
			break;
		}
		case "730_MS":
		{
			mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Aaanqu", choicesKey: "XS_All_Mission_Screens_prompt"}, this.previousScreenChoices);
			break;
		}
		case "720_MS":
		{
			mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Soralaat", choicesKey: "XS_All_Mission_Screens_prompt"}, this.previousScreenChoices);
			break;
		}
		case "710_MS":
		{
			mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Geerin", choicesKey: "XS_All_Mission_Screens_prompt"}, this.previousScreenChoices);
			break;
		}
		case "700_MS":
		{
			mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Aroratla", choicesKey: "XS_All_Mission_Screens_prompt"}, this.previousScreenChoices);
			break;
		}
		case "690_MS":
		{
			mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Xeaten", choicesKey: "XS_All_Mission_Screens_prompt"}, this.previousScreenChoices);
			break;
		}
		case "680_MS":
		{
			mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Quinmabe", choicesKey: "XS_All_Mission_Screens_prompt"}, this.previousScreenChoices);
			break;
		}
		case "670_MS":
		{
			mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Ceenbion", choicesKey: "XS_All_Mission_Screens_prompt"}, this.previousScreenChoices);
			break;
		}
		case "660_MS":
		{
			mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Tecexe", choicesKey: "XS_All_Mission_Screens_prompt"}, this.previousScreenChoices);
			break;
		}
		case "650_MS":
		{
			mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Zalexe", choicesKey: "XS_All_Mission_Screens_prompt"}, this.previousScreenChoices);
			break;
		}
		case "640_MS":
		{
			mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Biradi", choicesKey: "XS_All_Mission_Screens_prompt"}, this.previousScreenChoices);
			break;
		}
		case "630_MS":
		{
			mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Atmaa", choicesKey: "XS_All_Mission_Screens_prompt"}, this.previousScreenChoices);
			break;
		}
		case "620_MS":
		{
			mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Dioris_2", choicesKey: "XeptatlsSword_Dioris_2_choices"}, this.previousScreenChoices);
			break;
		}
		
		case "1_Cont":
		{
			mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Estebiin_2", choicesKey: "XeptatlsSword_Estebiin_2_choices"},this.previousScreenChoices);
			break;
		}
		case "1a_Cont":
		{
			mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Estebiin_3", choicesKey: "XS_All_Mission_Screens_prompt"}, this.previousScreenChoices);
			break;
		}
		case "2_Cont":
		{
			mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Ditere_2", choicesKey: "XS_All_Mission_Screens_prompt"}, this.previousScreenChoices);
			break;
		}	
		case "3_Cont":
		{
			mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Inlabe_2", choicesKey: "XS_All_Mission_Screens_prompt"}, this.previousScreenChoices);
			break;
		}
		case "4a_Cont":
		{
			mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_ResearchStation_2", choicesKey: "XeptatlsSword_ResearchStation_2_choices"}, this.previousScreenChoices);
			break;
		}
		case "4b_Cont":
		{
			mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_ResearchStation_3", choicesKey: "XS_All_Mission_Screens_prompt"}, this.previousScreenChoices);
			break;
		}
		case "5_Cont":
		{
			mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Leesti_ResearchStation_1", choicesKey: "XS_All_Mission_Screens_prompt"}, this.previousScreenChoices);
			break;
		}
		case "6_Cont":
		{
			mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Lave_a2", choicesKey: "XeptatlsSword_Lave_a2_choices"}, this.previousScreenChoices);




			break;
		}
		case "6a_Cont":
		{
			mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Lave_a3", choicesKey: "XS_All_Mission_Screens_prompt"}, this.previousScreenChoices);
			break;
		}
	
		case "16_Cont":
		{
			mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Tionisla_2", choicesKey: "XS_All_Mission_Screens_prompt"}, this.previousScreenChoices);
			break;
		}
		case "17_Cont":
		{
			mission.runScreen({title: "Xeptatl's Sword", messageKey: "XeptatlsSword_Dioris_3", choicesKey: "XS_All_Mission_Screens_prompt"}, this.previousScreenChoices);
			break;
		}
	
		case "98_return":
		{
			if(!this.longScreen && !this.longScreen2)
			{
				this.displayPreviousScreens();
			}
			else if(this.longScreen)
			{
				this.longScreen = false;
				mission.runScreen({title: "Xeptatl's Sword", messageKey: "XS_All_Mission_Screens", choicesKey: "XS_All_MissionScreens_14a"}, this.previousScreenChoices);
			}
			else if(this.longScreen2)
			{
				this.longScreen = false;
				mission.runScreen({title: "Xeptatl's Sword", messageKey: "XS_All_Mission_Screens", choicesKey: "XS_All_MissionScreens_27a"}, this.previousScreenChoices);
			}
			break;
		}
		case "99_BPrev":
		{
			this.longScreen = true;
			mission.runScreen({title: "Xeptatl's Sword", messageKey: "XS_All_Mission_Screens", choicesKey: "XS_All_MissionScreens_14a"}, this.previousScreenChoices);
			break;
		}
		case "99_CPrev":
		{
			this.displayPreviousScreens();
			break;
		}
		case "99_DPrev":
		{
			this.longScreen2 = true;
			mission.runScreen({title: "Xeptatl's Sword", messageKey: "XS_All_Mission_Screens", choicesKey: "XS_All_MissionScreens_27a"}, this.previousScreenChoices);
			break;
		}
		case "99_APrev":
		{
			if(!this.longScreen2)
			{
				this.displayPreviousScreens();
			}
			else
			{
				mission.runScreen({title: "Xeptatl's Sword", messageKey: "XS_All_Mission_Screens", choicesKey: "XS_All_MissionScreens_27a"}, this.previousScreenChoices);
			}
		}
	}
}
this.guiScreenChanged = function(to,from)
{
	if(guiScreen == "GUI_SCREEN_SHORT_RANGE_CHART" && this.showScreen && player.ship.docked)	
	{
		this.showScreen = false;
		this.displayPreviousScreens();
	}
}
this.shipLaunchedFromStation = function(station)
{
	if (galaxyNumber == 5 && system.ID == 41 && missionVariables.XeptatlsSword_status == "STAGE_50")
    {
		if(player.ship.equipmentStatus("EQ_GAL_DRIVE") != "EQUIPMENT_OK")
		{
			if(system.countShipsWithRole("spacewreck_anaconda") == 0)
			{
				this.role1 = "asteroid"; 
				this.count1 = 9;
				this.role2 = "spacewreck_anaconda";
				this.count2 = 1;
				P = system.mainPlanet;
				S = system.sun;
				V = S.position.subtract(P.position);
				V1=V.direction();
				pos = S.position.add(V1.multiply(S.radius)).add(V1.multiply(100000));
				system.addShips(this.role1, this.count1, pos,5000);
				system.addShips(this.role2, this.count2, pos);
			}
                this.$removeHighTechStations();
		}
	}
	if (galaxyNumber == 0 && system.ID == 205)
	{
		if(system.countShipsWithRole("xsMonitorStation") == 0)
		{
			system.addShips("xsMonitorStation", 1, Vector3D(0, 0, 3).fromCoordinateSystem("sps"));			
		}
	}
	if(galaxyNumber == 0 && system.ID == 55)
	{
		if(system.countShipsWithRole("xsMonitorStation") == 0)
		{
			system.addShips("xsMonitorStation", 1, Vector3D(0, 0, 3).fromCoordinateSystem("sws"));
		}
	}
	if(galaxyNumber == 5 && system.ID == 55)
	{
		if(system.countShipsWithRole("xsheadquarters") == 0)
		{
			system.addShips("xsheadquarters", 1, Vector3D(0, 0, 0.1).fromCoordinateSystem("psu"),0);
		}
	}
	if (missionVariables.XeptatlsSword_status == "STAGE_110" && galaxyNumber == 7 && system.ID == 162)
	{
		if(system.countShipsWithRole("damaged-monitor-station") == 0)
		{
			system.addShips("damaged-monitor-station", 1, Vector3D(0, 0, 3).fromCoordinateSystem("sps"));			
		}
	}
}
this.shipExitedWitchspace = function()
{
	if (missionVariables.XeptatlsSword_status == "STAGE_150")
	{
		missionVariables.XeptatlsSword_status = "STAGE_160";
	}
	if (missionVariables.XeptatlsSword_status == "STAGE_240" && galaxyNumber == 4 && system.ID == 15)
	{
		this.TraderShip = system.addShips("trader", 1, player.ship.position, 3000)[0];
		this.messageTimer = new Timer(this,this.mesTimer,4,0)		
	}
	if (missionVariables.XeptatlsSword_status == "STAGE_250" && galaxyNumber == 4 && system.ID == 196)
	{
		this.TraderShip = system.addShips("trader", 1, player.ship.position, 3000)[0];
		this.messageTimer = new Timer(this,this.mesTimer,4,0)		
	}
	if (missionVariables.XeptatlsSword_status == "STAGE_290" && galaxyNumber == 4 && system.ID == 197)
	{
		this.TraderShip = system.addShips("trader", 1, player.ship.position, 3000)[0];
		this.messageTimer = new Timer(this,this.mesTimer,4,0)		
	}
	if (missionVariables.XeptatlsSword_status == "STAGE_260" && galaxyNumber == 4 && system.ID == 123)
	{
		this.pos = player.ship.vectorForward.multiply(-18000);
		this.Anni = system.addShips("xs_thargoid_disc", 1, this.pos, 10)[0];
		this.FrisbeeTimerCount = 0;
		this.materialTimerx = new Timer(this,this.setMaterials2,4,4);

	}
	if (missionVariables.XeptatlsSword_status == "STAGE_280" && galaxyNumber == 4 && system.ID == 77)
	{
		this.pos = player.ship.vectorForward.multiply(-18000);
		this.Anni = system.addShips("xs_thargoid_disc", 1, this.pos, 10)[0];
		this.FrisbeeTimerCount = 0;
		this.materialTimerx = new Timer(this,this.setMaterials2,4,4);

	}
	
	if (missionVariables.XeptatlsSword_status == "STAGE_160" && galaxyNumber == 0 && system.ID == 7)
	{
		var shArr = system.allShips;
		var j =shArr.length-1;
		while (j > 0)
		{
			if (!shArr[j].isMainStation)
			{
				shArr[j].remove(true);
			}
			j -= 1;
		}
		system.sendAllShipsAway();		
		this.tharGroup = system.addGroupToRoute("thargoid", 5, 0.9, "wp");
		sHive = system.addShips("hive",1 ,this.tharGroup.ships[0].position,5000)[0];
		tharGroup.leader = sHive;
		var ships = system.addShips("blitznestLave",5 ,this.tharGroup.ships[0].position,10000);
		j = 0;
		sDisc = system.addShips("xs_thargoid_disc",1 ,this.tharGroup.ships[0].position,20000)[0];
		this.tharGroup.addShip(sDisc);
		while(j < ships.length)
		{
			this.tharGroup.addShip(ships[j]);
			j +=1;
		}
		player.commsMessage("Main Station: This system is under Thargoid control and all our ships have been lost. The Hive must be destroyed! ",10);
	}
	if (galaxyNumber == 4)
	{
		if (missionVariables.XeptatlsSword_status == "OFFER" || missionVariables.XeptatlsSword_status == "NOT_NOW")
		{
			missionVariables.XeptatlsSword_jumpCount += 1;
		}
	}
	if (galaxyNumber == 3 && missionVariables.XeptatlsSword_status == "STAGE_3")
	{
		missionVariables.XeptatlsSword_jumpCount += 1;
	}
	if(galaxyNumber == 3 && missionVariables.XeptatlsSword_status == "STAGE_3" && this.courier)
	{
		system.addShips("thargoid_courier_2",1,player.ship.position,3000);
		this.courier=false;
	}
	if(galaxyNumber == 3 && missionVariables.XeptatlsSword_status == "STAGE_3" && missionVariables.XeptatlsSword_jumpCount > 2)
	{
		system.addShips("thargoid_courier",1,player.ship.position,3000);
		missionVariables.XeptatlsSword_jumpCount = 0;
		this.courier=true;
	}
	if(missionVariables.XeptatlsSword_status == "STAGE_3a" && galaxyNumber == 5 && system.ID == 202)
	{
		player.ship.energy = player.ship.energy/2;
		player.ship.forwardShield = 0;
		if(player.ship.equipmentStatus("EQ_GAL_DRIVE") == "EQUIPMENT_OK")
		{
			player.ship.removeEquipment("EQ_GAL_DRIVE");
			
		}
		while (player.ship.removeEquipment("EQ_GAL_DRIVE_MINE"));
		player.consoleMessage("Due to Witchspace turbulence, your Portable Galactic Hyperdrive is damaged beyond repair.",6);
		missionVariables.XeptatlsSword_status = "STAGE_3b";
	}
	if (!missionVariables.XeptatlsSword_status && galaxyNumber == 4)
	{
		if(missionVariables.cloak == "COMPLETE")
		{
			missionVariables.XeptatlsSword_status="OFFER";
			missionVariables.XeptatlsSword_jumpCount = 0;
		}
	}
	if(this.awardGalDrive == "true")
	{
		player.ship.awardEquipment("EQ_GAL_DRIVE");
		player.commsMessage("Galactic Hyperdrive is operational",6);
		this.awardGalDrive = "false";
	}
	if(missionVariables.XeptatlsSword_status == "STAGE_0" && galaxyNumber == 4)

	{

		if (system.ID == 129)
		{
			this.thargoidAmbush(2);	
		}
	}
	if(missionVariables.XeptatlsSword_status == "STAGE_60" && galaxyNumber == 6)
	{
		if (!missionVariables.XeptatlsSword_jumpCount)
		{
			
			missionVariables.XeptatlsSword_jumpCount = Math.floor(Math.random() * 3);
		}
		else
		{
			missionVariables.XeptatlsSword_jumpCount +=	1;
		}
		if (missionVariables.XeptatlsSword_jumpCount > 5 || system.ID == 249 || system.ID == 166)
		{
			let NT = Math.floor(Math.random() * 3) +2; 
			player.consoleMessage("Ambush!",6);
			this.thargoidAmbush(NT);	
			missionVariables.XeptatlsSword_jumpCount = Math.floor(Math.random() * 3);	
			if(system.ID == 249 || system.ID == 166)
			{
				this.thargoidAmbush(5);	
				system.legacy_addShipsWithinRadius("xsProllyG7", 1, "abs", player.ship.position, 7500);			
			}
			else
			{
				this.thargoidAmbush(NT);	
			}
		}
	}
	if((missionVariables.XeptatlsSword_status == "STAGE_2a" || missionVariables.XeptatlsSword_status == "STAGE_2a0" || missionVariables.XeptatlsSword_status == "STAGE_2b" || missionVariables.XeptatlsSword_status == "STAGE_2c") && galaxyNumber == 1)
	{
		if (system.ID !== 80 && system.ID !== 39 && system.ID !== 166 && system.ID !== -1)
		{
			if (system.ID !== 214)
			{
				system.legacy_addShipsWithinRadius("xsAgent", 1, "abs", player.ship.position, 7500);
			}
			else
			{
				system.legacy_addShipsWithinRadius("xsAgent1", 1, "abs", player.ship.position, 7500);				
			}
		}
		else if(system.ID == 80)
		{
			missionVariables.XeptatlsSword_status = "STAGE_2d";			
			system.legacy_addShipsWithinRadius("xsAgent2", 1, "abs", player.ship.position, 7500);
			system.legacy_addShipsWithinRadius("xsthargoid", 5, "abs", player.ship.position, 7500);				
		}
	}
	if(galaxyNumber == 0 && system.ID == 205)
	{
		system.addShips("xsMonitorStation", 1, Vector3D(0, 0, 3).fromCoordinateSystem("sws"));
		//system.addShipsToRoute("X-S-dodo-station", 1, 0.3, "sw")
	}
	if(galaxyNumber == 0 && system.ID == 55)
	{
		system.addShips("xsMonitorStation", 1, Vector3D(0, 0, 3).fromCoordinateSystem("sws"));
		//system.addShipsToRoute("X-S-dodo-station", 1, 0.3, "sw")
	}
	if(missionVariables.XeptatlsSword_status == "STAGE_2a0" && galaxyNumber == 1 && system.ID == 230)
	{
		player.ship.scriptedMisjump = true;
		
	}
	if(missionVariables.XeptatlsSword_status == "STAGE_2a0" && galaxyNumber == 1 && system.isInterstellarSpace)
	{
		player.ship.position = Vector3D(1000000, 1000000, 1000000);
		
		var shArr = system.allShips;
		var j =shArr.length-1;
		while (j > 0)
		{
			shArr[j].remove(true);
			j -= 1;
		}
		system.sendAllShipsAway();
		this.thargoidAmbush(5);
		player.ship.fuelLeakRate = 2; 
                player.consoleMessage("Warning! Main fuel tank leak");               
		system.legacy_addShipsWithinRadius("xsInterstellarAgent", 1, "abs", player.ship.position, 90000);
// New script to handle FuelTankOXP, ExtraFuelTanksOXP, DuplexFuelTank and ClippersOXP - Added by Smivs on 23.1.2013
                if(player.ship.equipmentStatus("EQ_FUELTANK_MINE") === "EQUIPMENT_OK")	
                {
                  player.ship.removeEquipment("EQ_FUELTANK_MINE");
                  player.consoleMessage("Pylon-mounted fuel tank destroyed");
                }
                if(player.ship.equipmentStatus("EQ_RESERVE_TANK") === "EQUIPMENT_OK")	
                {
                  player.ship.removeEquipment("EQ_RESERVE_TANK");
                  player.ship.awardEquipment("EQ_RESERVE_TANK_EMPTY");
	          EquipmentInfo.infoForKey("EQ_RESERVE_TANK_EMPTY").effectiveTechLevel = 9;
                  player.consoleMessage("Reserve fuel tank leak");
                }
		if(player.ship.equipmentStatus("EQ_AUX_TANK") === "EQUIPMENT_OK")	
                {
                  player.ship.removeEquipment("EQ_AUX_TANK");
                  player.ship.awardEquipment("EQ_AUX_TANK_EMPTY");
	          EquipmentInfo.infoForKey("EQ_AUX_TANK_EMPTY").effectiveTechLevel = 9;
                  player.consoleMessage("Auxiliary fuel tank leak");
                }
                if (player.ship.equipmentStatus('EQ_DUPLEX_FUEL_TANK') === 'EQUIPMENT_OK' ) 
                {
                  worldScripts['duplex_fuel_tank'].$dftSabotage();
                }
		if(player.ship.equipmentStatus("EQ_LQG_TANK") === "EQUIPMENT_OK")	
                {
                  player.ship.removeEquipment("EQ_LQG_TANK");
                  player.ship.awardEquipment("EQ_LQG_TANK_EMPTY");
	          EquipmentInfo.infoForKey("EQ_LQG_TANK_EMPTY").effectiveTechLevel = 9;
                  player.consoleMessage("External fuel tank leak");
                }
		missionVariables.XeptatlsSword_status = "STAGE_2b";
	}
	if (missionVariables.XeptatlsSword_status == "STAGE_71" && galaxyNumber == 6 && system.isInterstellarSpace)
	{
		player.ship.position = Vector3D(1000000, 1000000, 1000000);
		var shArr1 = system.allShips;
		var j =shArr1.length-1;
		while (j > 0)
		{
			shArr1[j].remove(true);
			j -= 1;
		}
		system.sendAllShipsAway();
		system.legacy_addShipsWithinRadius("X-S-dumbell-station", 1, "abs", player.ship.position, 12000);
		
	}
	if (missionVariables.XeptatlsSword_status == "STAGE_2")
	{
		missionVariables.XeptatlsSword_jumpCount += 1;
	}
	if(galaxyNumber == 6 && system.ID == 228 && missionVariables.XeptatlsSword_status == "STAGE_80")
	{
		var shps = system.addShips("crystaloid", 2, Vector3D(0, 0, 3).fromCoordinateSystem("sps"));
		system.addShips("xsProlly", 1, Vector3D(0, 0, 3).fromCoordinateSystem("sws"));
                player.commsMessage("Prollykanteraprillito: I am out near the Sun, Commander. Make your way here immediately.", 5);
	}
}
this.shipWillExitWitchspace = function()
{
	if(galaxyNumber == 5 && system.ID == 55)
	{
		var XSHQ = system.addShips("xsheadquarters",1,Vector3D(0,0, 0.1).fromCoordinateSystem("psu"),0)[0];
		var targetVector = system.mainPlanet.position.subtract(XSHQ.position).direction();
		var angle = XSHQ.heading.angleTo(targetVector);
		var cross = XSHQ.heading.cross(targetVector).direction();
		XSHQ.orientation = XSHQ.orientation.rotate(cross,-angle);	

		if(missionVariables.XeptatlsSword_status == "STAGE_300")
		{
			var shArr = system.allShips;
			var j =shArr.length-1;
			while (j > 0)
			{
				if (!shArr[j].isMainStation)
				{
					if(!shArr[j].isBeacon)
					{
						shArr[j].remove(true);
					}
				}
				j -= 1;
			}
			this.TV = XSHQ.position.subtract(player.ship.position).direction();
			this.TC = system.addShips("thunderchild",1,XSHQ.position.add(this.TV.multiply(-15000)),100)[0];
                        player.commsMessage("Welcome Commander. Please make your way directly to the Xeptatl Society Headquarters Station.",10);
			//this.AN = system.addShips("anni-1",1,XSHQ.position.add(this.TV.multiply(65000)),100)[0];
		}
	}
}
this.shipWillEnterWitchspace = function(cause)
{
	this.awardGalDrive = "false";
	if (cause == "galactic jump")
	{
		if(galaxyNumber == 4)
		{
			if(missionVariables.XeptatlsSword_status == "STAGE_1")
			{
				if (system.ID == 23 || system.ID == 129)
				{
					//player.ship.galacticHyperspaceBehaviour = "BEHAVIOUR_ALL_SYSTEMS_REACHABLE";
				}
			}
			if(missionVariables.XeptatlsSword_status == "STAGE_3")
			{
				if (system.ID == 9)
				{
					//player.ship.galacticHyperspaceBehaviour = "BEHAVIOUR_ALL_SYSTEMS_REACHABLE";
				}
			}
		}
		if(galaxyNumber == 1)
		{
			if(missionVariables.XeptatlsSword_status == "STAGE_2c" || missionVariables.XeptatlsSword_status == "STAGE_2b" || missionVariables.XeptatlsSword_status == "STAGE_2a")
			{
				if (system.ID == 105)
				{
					//player.ship.galacticHyperspaceBehaviour = "BEHAVIOUR_ALL_SYSTEMS_REACHABLE";
					missionVariables.XeptatlsSword_status = "STAGE_2c";
				}
			}
			if(missionVariables.XeptatlsSword_status == "STAGE_2c")
			{
				mission.unmarkSystem(105);
			}
		}
		if(galaxyNumber == 4)
		{
			if(missionVariables.XeptatlsSword_status == "STAGE_3a")
			{
				mission.unmarkSystem(9);
			}
		}
	}
	if (galaxyNumber == 6 && system.ID == 194 && missionVariables.XeptatlsSword_status == "STAGE_70" && player.ship.targetSystem == 89)
	{
		missionVariables.XeptatlsSword_status = "STAGE_71";
	}
	
}
this.thargoidAmbush = function(number)
{
	system.legacy_addShipsWithinRadius("thargoid", number, "abs", player.ship.position, 7500);
}
this.playerEnteredNewGalaxy = function()
{
	player.commsMessage("Welcome to Galaxy " + (galaxyNumber+1),6);
	if(missionVariables.XeptatlsSword_status == "STAGE_2")
	{
		if(galaxyNumber==0)

		{
			mission.markSystem(205);
		}
	}	
	if(missionVariables.XeptatlsSword_status == "STAGE_2a")
	{
		if(galaxyNumber==1)
		{
			mission.markSystem(166);
		}
	}	
	if(missionVariables.XeptatlsSword_status == "STAGE_3ab")
	{
		if(galaxyNumber==4)
		{
			mission.markSystem(9);
		}
	}	
	if(missionVariables.XeptatlsSword_status == "STAGE_205")
	{
		if(galaxyNumber==1)
		{
			mission.markSystem(250);
		}
	}	
	if(missionVariables.XeptatlsSword_status == "STAGE_215")
	{
		if(galaxyNumber==2)
		{
			mission.markSystem(63);
		}
	}	
	if(missionVariables.XeptatlsSword_status == "STAGE_225")
	{
		if(galaxyNumber==3)
		{
			mission.markSystem(236);
		}
	}	
	if(missionVariables.XeptatlsSword_status == "STAGE_235")
	{
		if(galaxyNumber==4)
		{
			mission.markSystem(83);
		}
	}	
	if(missionVariables.XeptatlsSword_status == "STAGE_3a")
	{
		if(galaxyNumber==4)
		{
			mission.markSystem(9);
		}
	}	
	if(missionVariables.XeptatlsSword_status == "STAGE_300")
	{
		if(galaxyNumber==5)
		{
			mission.markSystem(55);
		}
	}	
	if(missionVariables.XeptatlsSword_status == "STAGE_130")
	{
		if(galaxyNumber==0)
		{
			mission.markSystem(55);
		}
	}	
}
this.launchHelper1 = function()
{
	if(player.ship.equipmentStatus("EQ_GAL_DRIVE") == "EQUIPMENT_OK")
	{
		player.ship.removeEquipment("EQ_XSCALL_HELP");
		player.commsMessage("Can not locate ship wreck.",6);
	}
	else
	{
		system.legacy_addShipsWithinRadius("xsHelper1", 1, "abs", player.ship.position, 75000);
		player.commsMessage("Help is on the way.",6);
		player.ship.removeEquipment("EQ_XSCALL_HELP");	


	}
}
this.checkSuspendOresratiChalenge = function()
{
	if(galaxyNumber == 7 && system.ID == 162 && (missionVariables.XeptatlsSword_status == "STAGE_130" || missionVariables.XeptatlsSword_status == "STAGE_120" || missionVariables.XeptatlsSword_status == "STAGE_100" || missionVariables.XeptatlsSword_status == "STAGE_110"))
	{
		return(true);
	}
}
this.shipWillLaunchFromStation = function(station)
{
	this.showScreen = true;
	if(!this.OresratiChalenge)
	{
		this.OresratiChalenge = true;
		if(worldScripts["oresratichalange_main"])
		{
			worldScripts.oresratichalange_main.addToCallbacks({worldScript: "XeptatlsSword-Main", callBack: "checkSuspendOresratiChalenge"});
		}
	}
	if(station.primaryRole == "X-S-dumbell-station")
	{
		// added by Okti 21.06.2011
		var TGD = system.addShips("xs_isthargoid_disc", 1, station.position.add(station.vectorForward.multiply(-9000)).add(station.vectorUp.multiply(6000)), 0)[0];
		var targetVector = station.position.subtract(TGD.position).direction();
		var angle = TGD.heading.angleTo(targetVector);
		var cross = TGD.heading.cross(targetVector).direction();
		TGD.orientation = TGD.orientation.rotate(cross,-angle);
		
		// commented by Okti 21.06.2011
		//system.legacy_addShipsWithinRadius("xs_thargoid_disc", 1, "abs", station.position, 12000);	


		system.legacy_addShipsWithinRadius("xsthargoidis", 5, "abs", station.position, 1500);	
		system.legacy_addShipsWithinRadius("ISCobra", 3, "abs", station.position, 1500);
		this.timerCount = 0;
		this.interstellarStation = station;
		this.warningSound.stop();
		this.insTimer = new Timer(this,this.interstellarTimer,5,5);
	}
	if(station.primaryRole == "damaged-monitor-station")
	{
		if(missionVariables.XeptatlsSword_status == "STAGE_120")
		{
			if(system.countShipsWithRole("black-mamba-boa2") == 0)
			{
				system.addShipsToRoute("black-mamba-boa2", 1, 0.3,"sp")
			}
		}
		//system.legacy_addShipsWithinRadius("black-mamba-boa2", 1, "abs", station.position, 3500);	
	}
	if(missionVariables.XeptatlsSword_status == "STAGE_170")
	{
		system.sendAllShipsAway();
		system.legacy_addShipsWithinRadius("blitznest", 10, "abs", player.ship.position, 3500);	
		system.legacy_addShipsWithinRadius("thargoid", 30, "abs", player.ship.position, 5000);	
		
	}
	if(missionVariables.XeptatlsSword_status == "STAGE_310" && station.hasRole("xsheadquarters"))
	{
		this.TC = system.addShips("thunderchild-2",1,station.position.add(this.TV.multiply(25000)),100)[0];
		this.AN = system.addShips("anni-2",1,station.position.add(this.TV.multiply(40000)),100)[0];
		var targetVector = this.TC.position.subtract(this.AN.position).direction();
		var angle = this.AN.heading.angleTo(targetVector);
		var cross = this.AN.heading.cross(targetVector).direction();
		this.AN.orientation = this.AN.orientation.rotate(cross,-angle);
		var targetVector = this.AN.position.subtract(this.TC.position).direction();
		var angle = this.TC.heading.angleTo(targetVector);
		var cross = this.TC.heading.cross(targetVector).direction();
		this.TC.orientation = this.TC.orientation.rotate(cross,-angle);
	system.addShips("XSCobra3",3,station.position, 1500);
	system.addShips("police",3,station.position, 1500);
	system.addShips("thargoid",4,station.position, 1500);
	}
	if(missionVariables.XeptatlsSword_status == "STAGE_360" && station.hasRole("xsheadquarters"))
	{
		system.mainPlanet.texture = "estebiin-dead_cube.png";
		missionVariables.XeptatlsSword_status = "COMPLETED";
	}
	
}
this.interstellarTimer = function()
{
	this.timerCount += 1;
	if(this.timerCount == 1)
	{
		this.interstellarStation.commsMessage("Run Commander, jump to the Rift Worlds, we are doomed!",player.ship);
		//this.interstellarStation.temperature = 0.8;
		
	}
	else if(this.timerCount == 2)
	{
		this.interstellarStation.commsMessage("Annihilator within range, it is targeting us.",player.ship);
		//this.interstellarStation.temperature = 0.85;
	}
	else if(this.timerCount == 3)
	{
		this.interstellarStation.commsMessage("It's powering-up its weapons array. Don't look back, Commander!.",player.ship);
		//this.interstellarStation.temperature = 0.9;
	}
	else if(this.timerCount == 4)
	{
		this.interstellarStation.commsMessage("Run! You are our only hope. Jump to the Rift Worlds now.",player.ship);
		//this.interstellarStation.temperature = 0.95
	}
	else if(this.timerCount == 5)
	{
//		this.interstellarStation.explode();
		this.insTimer.stop();
		this.insTimer = null;
	}	
}
this.getRidOfThargoids = function()
{
	missionVariables.XeptatlsSword_status = "STAGE_180"
	var j = this.tharGroup.ships.length-1;
	while(j >= 0)
	{
		if(this.tharGroup.ships[j].primaryRole !== "hive")
		{
			if(this.tharGroup.ships[j].primaryRole !== "xs_thargoid_disc")
			{
			
				//this.tharGroup.ships[j].fuel = 7.0;
				//this.tharGroup.ships[j].exitSystem();
			}
			else
			{
				this.Annihilator = this.tharGroup.ships[j];
			}
		}
		j -=1;
	}
	this.FrisbeeTimerCount = 0;
	this.materialTimer = new Timer(this,this.setMaterials1,4,4);
}
this.setMaterials1 = function()
{
	this.FrisbeeTimerCount +=1;
	if(this.FrisbeeTimerCount == 1)
	{
		this.Annihilator.setMaterials({"frisbee.png":{diffuse_map : "jumpout-frisbee.png"}});
		this.Annihilator.reactToAIMessage("LIGHTS_ON");
	}
	else if(this.FrisbeeTimerCount == 2)
	{
		this.Annihilator.awardEquipment("EQ_CLOAKING_DEVICE");	
		this.Annihilator.isCloaked = true;	
	}
	else
	{
		this.Annihilator.remove(true);
		var j = this.tharGroup.ships.length-1;
		while(j >= 0)
		{
			if(this.tharGroup.ships[j].primaryRole !== "hive")
			{
				if(this.tharGroup.ships[j].primaryRole !== "xs_thargoid_disc")
				{
					if(this.tharGroup.ships[j].primaryRole !== "blitznestLave")
					{
						this.tharGroup.ships[j].fuel = 7.0;
						this.tharGroup.ships[j].exitSystem();
					}
				}
				else
				{
					//this.Annihilator = this.tharGroup.ships[j];
				}
			}
			j -=1;
		}

		this.materialTimer.stop();
	}
}
this.setMaterials2 = function()
{
	this.FrisbeeTimerCount +=1;
	if(this.FrisbeeTimerCount == 1)
	{
		this.Anni.setMaterials({"frisbee.png":{diffuse_map : "jumpout-frisbee.png"}});
		this.Anni.reactToAIMessage("LIGHTS_ON");
	}
	else if(this.FrisbeeTimerCount == 2)
	{
		this.Anni.awardEquipment("EQ_CLOAKING_DEVICE");	
		this.Anni.isCloaked = true;	
	}
	else
	{


		this.Anni.remove(true);


		this.materialTimerx.stop();

	}
}
this.mesTimer = function()
{
	if (missionVariables.XeptatlsSword_status == "STAGE_240")
	{
		this.TraderShip.commsMessage("[XS_MI_STAGE_245]",player.ship);
		mission.setInstructionsKey("XS_MI_STAGE_245")
		missionVariables.XeptatlsSword_status = "STAGE_245";
		mission.unmarkSystem(15);
		mission.markSystem(217);
	}
	if (missionVariables.XeptatlsSword_status == "STAGE_250")
	{
		this.TraderShip.commsMessage("[XS_MI_STAGE_255]",player.ship);
		mission.setInstructionsKey("XS_MI_STAGE_255")
		missionVariables.XeptatlsSword_status = "STAGE_255";
		mission.unmarkSystem(196);
		mission.markSystem(229);
	}
	if (missionVariables.XeptatlsSword_status == "STAGE_290")
	{
		this.TraderShip.commsMessage("[XS_MI_STAGE_295]",player.ship);
		mission.setInstructionsKey("XS_MI_STAGE_295")
		missionVariables.XeptatlsSword_status = "STAGE_295";
		mission.unmarkSystem(197);
		mission.markSystem(9);
	}
}
this.shipBeingAttacked = function(whom)
{
	if(missionVariables.XeptatlsSword_status == "STAGE_3a" && galaxyNumber == 5 && system.ID == 202)
	{
		if(whom.isThargoid)
		{
			this.hitCount +=1;
		}
		if(this.hitCount >5)
		{
			if(player.ship.equipmentStatus("EQ_GAL_DRIVE") == "EQUIPMENT_OK")
			{
				player.ship.removeEquipment("EQ_GAL_DRIVE");
				
			}
			while (player.ship.removeEquipment("EQ_GAL_DRIVE_MINE"));
			player.consoleMessage("Due to Witchspace turbulence, your Portable Galactic Hyperdrive is damaged beyond repair.",6);
			missionVariables.XeptatlsSword_status == "STAGE_3b"
		}
	}
}
this.shipWillDockWithStation = function(station)
{
	if(missionVariables.XeptatlsSword_status == "STAGE_300" && galaxyNumber == 5 && system.ID == 55 && player.ship.dockedStation.hasRole("xsheadquarters"))
	{
		this.TC.remove(true);		
	}

}
// removes inappropriate TL12 station from Beanxeat system (TL9) to avoid cheating.
this.$removeHighTechStations = function ()
{
 if (galaxyNumber == 5 && system.ID == 41)
  {
   system.filteredEntities(this, function (entity)
    {
      if (entity.isStation && entity.equivalentTechLevel > 8)
      {
         entity.explode();
      }
    });
  }
}
// cancel 'Asteroid Storm' missionVariable to ensure Leesti has a Society Monitor Station and a Main Station
this.playerEnteredNewGalaxy = function(galaxyNumber)
{
  if (galaxyNumber == 0 && missionVariables.asteroids_statdead===1)
    {    
      missionVariables.asteroids_statdead="0";
    }
}
