// Standard attributes

this.name           = "xsAgent1"
this.author         = "Okti,Smivs"
this.copyright      = "(C) Smivs,Okti"
this.licence        = "Creative Commons Attribution - Non-Commercial - Share Alike 3.0"
this.description    = "Ship script for xsCobra3.";
this.version        = "2.3"

this.shipSpawned = function()
{		    
	//this.ship.reportAIMessages = true;
	var systemNumber = system.ID;
	var MyRoute =  System.infoForSystem(galaxyNumber, systemNumber).routeToSystem(System.infoForSystem(galaxyNumber, 80),"OPTIMIZED_BY_TIME");
	this.systemToJump=MyRoute.route[1]
	this.ship.commsMessage("Commander, I thought you were stuck in witchspace!",player.ship);
}

this.FindPlayer = function()
{
	this.playerArray = system.shipsWithPrimaryRole("player");
	if(this.playerArray.length == 0) 
	{
//		this.ship.remove(); 
	}
	else
	{
		this.ship.target = this.playerArray[0];
		this.ship.reactToAIMessage("PLAYER_FOUND");
	}
}
this.locatePlayer = function()
{
	this.playerArray = system.shipsWithPrimaryRole("player");
	if(this.playerArray.length == 0) 
	{
//		this.ship.remove(); 
	}
	else
	{
		this.ship.target = this.playerArray[0];
		this.ship.reactToAIMessage("PLAYER_FOUND");
	}
}
this.exitSystem = function()
{
	if (!this.systemToJump)
	{
		return;
	}
	this.ship.fuel = 7.0;
	this.ship.commsMessage
	var bool = this.ship.exitSystem(this.systemToJump);
//	while(!bool)
//	{
//		bool = this.ship.exitSystem(this.systemToJump);	
//	}
}
this.shipExitedWitchspace = function()
{
	this.ship.setAI("route1traderAI.plist");
}
this.spawnMissile = function()
{
	this.ship.commsMessage("I launched a sunskimmer missile, it will be here soon. Scoop it to top-up your fuel.",player.ship);
	system.legacy_addShipsWithinRadius("xsSunSkimmerPodMissile", 1, "abs", player.ship.position, 100000);				
}
this.checkScooped = function()
{
	if (missionVariables.XeptatlsSword_missile == "SCOOPED")
	{
		this.ship.reactToAIMessage("MISSILE_SCOOPED");	
	}
}
this.playerFound = function()
{
	this.ship.commsMessage("Please enter my wormhole to "+System.systemNameForID(this.systemToJump));
}
